:root {
    --cust-font-family-emoji: "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

    --pst-font-family-base-system: system-ui, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, Helvetica, Arial, "Helvetica Neue", sans-serif, var(--cust-font-family-emoji);
    --pst-font-family-monospace-system: ui-monospace, SFMono-Regular, "SF Mono", Menlo, Consolas, "Liberation Mono", monospace, var(--cust-font-family-emoji);
    --pst-font-family-heading: Avenir, Montserrat, Corbel, 'URW Gothic', source-sans-pro, sans-serif, var(--cust-font-family-emoji);
    
    --pst-font-weight-heading: 700;

    /* Sizes based on Pico CSS */
    --pst-font-size-h1: 2rem;
    --pst-font-size-h2: 1.75rem;
    --pst-font-size-h3: 1.5rem;
    --pst-font-size-h4: 1.25rem;
    --pst-font-size-h5: 1.125rem;
    --pst-font-size-h6: 1rem;
}

/* Override the sphinx-book theme overrides */
.bd-article-container h1,
.bd-article-container h2 {
  font-weight: var(--pst-font-weight-heading);
}

:root {
    /* --q-color-primary: #ff7600; */
    --q-color-primary-hue: 28;
    --q-color-primary-saturation: 100%;
    --q-color-primary-lightness: 50%;
    --q-color-primary: hsl(var(--q-color-primary-hue), var(--q-color-primary-saturation), var(--q-color-primary-lightness));

    /* --q-color-secondary-1: #465ea5; */
    --q-color-secondary-1-hue: 225;
    --q-color-secondary-1-saturation: 40%;
    --q-color-secondary-1-lightness: 46%;
    --q-color-secondary-1: hsl(var(--q-color-secondary-1-hue), var(--q-color-secondary-1-saturation), var(--q-color-secondary-1-lightness));

    /* --q-color-secondary-2: #813447; */
    --q-color-secondary-2-hue: 345;
    --q-color-secondary-2-saturation: 43%;
    --q-color-secondary-2-lightness: 35%;
    --q-color-secondary-2: hsl(var(--q-color-secondary-2-hue), var(--q-color-secondary-2-saturation), var(--q-color-secondary-2-lightness));
}

html, html[data-theme="light"], html[data-theme="dark"] {
    --pst-color-primary: var(--q-color-secondary-1);
    --pst-color-secondary: var(--q-color-secondary-2);
}

html[data-theme="light"] {
    --q-color-secondary-1-lightness: 42%;
}

html[data-theme="dark"] {
    --q-color-secondary-1-saturation: 100%;
    --q-color-secondary-1-lightness: 83%;

    --q-color-secondary-2-saturation: 100%;
    --q-color-secondary-2-lightness: 89%;
}

.navbar-brand > img {
    height: 1.25rem;
}
